Bill Allombert on Wed, 24 Aug 2011 08:15:40 +0200

[Date Prev] [Date Next] [Thread Prev] [Thread Next] [Date Index] [Thread Index]

Re: polroots: impossible inverse

On Tue, Aug 16, 2011 at 11:52:23AM +0800, Gordon Royle wrote:
> Unfortunately I still can't make it work, though probably it is my configuration rather than any problem with Pari.
> Anyway, just in case anyone can help, here is the situation:
> - new machine running Mac OS X Lion 64-bit kernel (uname -m returns x86_64)
> - fink-installed version of gcc4.6 (no version 4.5 for Lion)

Well, you can still compile it yourself.

> However I can't figure out how to actually change the pari-gp configure or makefile to use the gcc4.6 and nor can I work out how to make gcc4.6 the default compiler for everything.
> (I did try the dumbest thing, which was just to point the symlink /usr/bin/gcc to the new version of gcc, and it compiled ok, but immediately crashed on starting gp)

Use gcc 4.5, not 4.6, since 4.6 is also broken on powerpc currently.

To change the compiler do
CC=gcc-4.5 ./Configure ...

Bill (short on time)